Cannot validate ISO content url

04/29/2014 05:52 PM - Stephen Herr

Status: Resolved   

Priority: Normal   

Assignee: Stephen Herr   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Commit f0581b72a63bd9c4aca36f62c59523097fa338b9 added the ability to check if the cdn url for a repo is valid or not, and throw

an error if it's not valid. Unfortunately it didn't take into account that some repositories (like ISO repos) do not contain yum repodata,

and instead have pulp manifests. This causes the validation of ISO repositories to always fail with errors like so:

CDN: Requesting path https://cdn.redhat.com:443/content/dist/rhel/server/6/6Server/x86_64/iso/repodata

CDN loading error: https://cdn.redhat.com:443/content/dist/rhel/server/6/6Server/x86_64/iso/repodata not found

{"basearch"=>"x86_64", "releasever"=>"6Server"} are not valid substitutions for /content/dist/rhel/server/6/$releasever/$basearch/iso

(RuntimeError)

/home/sherr/katello/app/models/katello/candlepin/content.rb:93:in `check_substitutions!'

/home/sherr/katello/app/lib/actions/katello/repository_set/enable_repository.rb:24:in `plan'

Associated revisions

Revision f00114dc - 04/30/2014 02:22 PM - Stephen Herr 

Fixes #5495 - Validate content urls for ISO repositories

Revision dc1e082a - 05/02/2014 01:10 PM - Eric Helms

Merge pull request #52 from ehelms/fixes-devel-issues

Fixes #5495, #5472, #5467 - Updates to the devel module to address RVM issues.

History

#1 - 04/29/2014 05:57 PM - Stephen Herr

Pull request submitted: https://github.com/Katello/katello/pull/4016

#2 - 04/29/2014 06:08 PM - Stephen Herr

- Subject changed from Cannot validage ISO content url to Cannot validate ISO content url

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
